LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSheetFilterDescriptor Interface Referencepublished

provides access to a collection of filter conditions (filter fields). More...

`import"XSheetFilterDescriptor.idl";`

Inheritance diagram for XSheetFilterDescriptor:

## Public Member Functions
sequence< TableFilterField > | getFilterFields ()
| returns the collection of filter fields. More...
void | setFilterFields ([in] sequence< TableFilterField > aFilterFields)
| sets a new collection of filter fields. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a collection of filter conditions (filter fields).

See also
  SheetFilterDescriptor

## Member Function Documentation

## ◆ getFilterFields()

sequence< TableFilterField > getFilterFields | ( |  | ) |

returns the collection of filter fields.

## ◆ setFilterFields()

void setFilterFields | ( | [in] sequence< TableFilterField > | aFilterFields | ) |

sets a new collection of filter fields.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetFilterDescriptor.idl